Dependency not satisfiable: python-gtk2|python-gnome2

Moderators: Site Moderators, FAHC Science Team

Dependency not satisfiable: python-gtk2|python-gnome2

Postby bfromcolo » Wed Jul 01, 2020 10:27 pm

Try to install fahcontrol 7.6.13-1 on a fresh Linux Mint 20.04 install, Cinnamon desk top. I am getting the following error:

Error:Dependency is not satisfiable:python-gtk2|python-gnome2

The fahclient installed and is working, it downloaded a CPU work unit and is crunching away. Now to figure out how to control it without fahcontrol...is there a way to tell it to finish and then pause with a command line until I get this figured out?

Any help would be appreciated.
bfromcolo
 
Posts: 56
Joined: Fri Mar 01, 2013 2:12 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby foldy » Wed Jul 01, 2020 11:02 pm

yes fahclient has command line options like --send-pause or --send-unpause or --send-finish
foldy
 
Posts: 1938
Joined: Sat Dec 01, 2012 4:43 pm

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby bfromcolo » Thu Jul 02, 2020 1:48 am

Thanks
I did not realize the web control works on a Linux system until now, I think I can complete the WU I downloaded and uninstall F@H until I have a solution to getting fahcontrol working properly. I have multiple GPUs and do other things with this system, I need the control fahcontrol offers over the web app. It seems like something needs to be updated in the program to avoid jumping through hoops to get this working on 20.04 to resolve this.
bfromcolo
 
Posts: 56
Joined: Fri Mar 01, 2013 2:12 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby jeffmr4 » Thu Jul 02, 2020 4:49 am

Same problem here.
jeffmr4
 
Posts: 15
Joined: Mon Apr 06, 2020 10:23 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby jeffmr4 » Sun Jul 05, 2020 8:45 am

A workaround is to use,

https://client.foldingathome.org/
jeffmr4
 
Posts: 15
Joined: Mon Apr 06, 2020 10:23 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby bfromcolo » Mon Jul 06, 2020 8:08 pm

Problem with the web client is very limited. How can I set up remote control? Or specify exactly how many cores? Really need a programmatic solution. More and more people will encounter this problem as Ubuntu/Mint 20.04 gets used.
bfromcolo
 
Posts: 56
Joined: Fri Mar 01, 2013 2:12 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby Joe_H » Mon Jul 06, 2020 8:29 pm

As mentioned in multiple topics where the subject of Mint version 20 and FAHControl not working "out of the box" has come up, there are workarounds. In addition a future version of the client will be updated to resolve the dependencies, there are topics on volunteers who have worked on the open source code.
Image

iMac 2.8 i7 12 GB smp8, Mac Pro 2.8 quad 12 GB smp6
MacBook Pro 2.9 i7 8 GB smp3
Joe_H
Site Admin
 
Posts: 6449
Joined: Tue Apr 21, 2009 5:41 pm
Location: W. MA

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby samcarboni » Mon Jul 06, 2020 9:19 pm

FWIW I managed to get FAHControl on Ubuntu 20.04 Desktop to work by using these instructions: https://www.reddit.com/r/Folding/commen ... buntu_2004

However I did have to install python-cairo since when I got to the sudo dpkg -i python-gtk2_2.24.0-6_amd64.deb part of those instructions it failed with the feedback that "python-gtk2 depends on python-cairo (>= 1.0.2-1.1); Package python-cairo is not installed." However it was straightforward to install and then the python-gtk installed fine after that no problem.

Here's those instructions that worked for me on Ubuntu 20.04 Desktop:
Code: Select all
sudo apt install python-gobject-2
sudo apt install python-cairo
wget http://archive.ubuntu.com/ubuntu/pool/universe/p/pygtk/python-gtk2_2.24.0-6_amd64.deb
sudo dpkg -i python-gtk2_2.24.0-6_amd64.deb
samcarboni
 
Posts: 4
Joined: Tue May 19, 2020 9:12 pm

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby Richard_Milward » Tue Jul 28, 2020 6:31 pm

I'm having the same problem with FAHControl, and sudo apt-get install python-gtk2 gives me "unable to locate package"
Richard_Milward
 
Posts: 1
Joined: Tue Jul 28, 2020 6:16 pm

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby samcarboni » Tue Jul 28, 2020 8:16 pm

Hey Richard what OS you're using?

On Ubuntu Desktop 20.04 I had to use these commands to get FAHControl working:
Code: Select all
sudo apt install python-gobject-2
sudo apt install python-cairo
wget http://archive.ubuntu.com/ubuntu/pool/universe/p/pygtk/python-gtk2_2.24.0-6_amd64.deb
sudo dpkg -i python-gtk2_2.24.0-6_amd64.deb
samcarboni
 
Posts: 4
Joined: Tue May 19, 2020 9:12 pm

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby smasho » Wed Jul 29, 2020 5:41 am

Thanks Sam!!! That works on Mint 20.
smasho
 
Posts: 5
Joined: Tue May 10, 2011 5:08 am

Re: Dependency not satisfiable: python-gtk2|python-gnome2

Postby rori1977 » Sun Aug 09, 2020 3:08 pm

For me an additional

Code: Select all
sudo apt install python-is-python2


was needed on LinuxMint 20 Cinnamon Edition to make it work.
rori1977
 
Posts: 6
Joined: Sun Jul 12, 2020 12:45 pm
Location: Germany


Return to V7.6.x Public Release Windows/Linux/MacOS X

Who is online

Users browsing this forum: Rel25917 and 1 guest

cron